package org.maachang.html;

/**
 * Stack.
 * 
 * @version 2009/02/13
 * @author  masahito suzuki
 * @since   SimpleHtmlParser 1.0.0
 */
class StackObject {
    private StackChild cell = null ;
    
    static class StackChild {
        Object object = null ;
        StackChild next = null ;
    }
    
    public StackObject() {}
    
    public void clear() {
        this.cell = null ;
    }
    
    public void push(Object object) {
        StackChild nw = new StackChild();
        nw.object = object;
        nw.next = this.cell;
        this.cell = nw;
    }
    
    public Object pop() {
        if( this.cell == null ) {
            return null ;
        }
        Object ret = cell.object ;
        this.cell = this.cell.next ;
        return ret ;
    }
    
    public Object peek() {
        if( this.cell == null ) {
            return null ;
        }
        return this.cell.object ;
    }
}
